import {
  createSelector,
  createFeatureSelector,
} from '@ngrx/store';

import { MODULE } from '../noauth-probe.constant';

import * as NoAuthProbeConnectingStore from './connecting';

export interface State {
  connecting: NoAuthProbeConnectingStore.State;
}

export const REDUCERS = {
  connecting: NoAuthProbeConnectingStore.reducer,
};

export const EFFECTS = [
  NoAuthProbeConnectingStore.Effects,
];

export const selectState = createFeatureSelector<State>(MODULE.name);

export const NoAuthProbeConnectingSelector = NoAuthProbeConnectingStore.getSelectors(createSelector(
  selectState,
  (state: State) => state.connecting
));
