import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { COMPONENTS } from './component';
import { CONTAINER_COMPONENTS } from './container';
import { ProbeStoreModule } from './probe-store.module';
import { SERVICES } from './service';
import { FormsModule } from '@angular/forms';
import { MetaModule } from '@overflow/meta/meta.module';
import { UIModule } from '@overflow/shared/ui/ui.module';

@NgModule({
  imports: [
    CommonModule,
    ProbeStoreModule,
    FormsModule,
    UIModule,
    MetaModule,
  ],
  declarations: [
    CONTAINER_COMPONENTS,
    COMPONENTS,
  ],
  exports: [
    CONTAINER_COMPONENTS,
    COMPONENTS,
  ],
  providers: [
    SERVICES,
  ]
})
export class ProbeModule { }
